# Delete app

## Deletes an app.

> Deletes an app. Your API token must be provisioned to the same account where the app was uploaded.

```json
{"openapi":"3.0.3","info":{"title":"Appetize API","version":"1.0.0"},"servers":[{"url":"https://api.appetize.io/v1"}],"security":[{"apiToken":[]}],"components":{"securitySchemes":{"apiToken":{"type":"apiKey","in":"header","name":"X-API-KEY","description":"Use an API token for authentication via X-API-KEY header"}}},"paths":{"/apps/{app_publicKey}":{"delete":{"summary":"Deletes an app.","tags":["Deleting an App"],"description":"Deletes an app. Your API token must be provisioned to the same account where the app was uploaded.","parameters":[{"in":"path","name":"publicKey","required":true,"schema":{"type":"string"},"description":"The publicKey for the app."}],"responses":{"200":{"description":"OK"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.appetize.io/rest-api/delete-app.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
